Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class UnstructuredExclusionRuleType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.UnstructuredExclusionRuleType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class UnstructuredExclusionRuleType

extends Object
implements Serializable

Java class for unstructuredExclusionRuleType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="unstructuredExclusionRuleType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="verseSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="textFr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="textNl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="identifierNum" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`UnstructuredExclusionRuleType()`

Method Summary
`String` | `getIdentifierNum()` Gets the value of the identifierNum property.
`String` | `getTextFr()` Gets the value of the textFr property.
`String` | `getTextNl()` Gets the value of the textNl property.
`BigInteger` | `getVerseSeq()` Gets the value of the verseSeq property.
`void` | `setIdentifierNum(String value)` Sets the value of the identifierNum property.
`void` | `setTextFr(String value)` Sets the value of the textFr property.
`void` | `setTextNl(String value)` Sets the value of the textNl property.
`void` | `setVerseSeq(BigInteger value)` Sets the value of the verseSeq property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnstructuredExclusionRuleType

    public UnstructuredExclusionRuleType()

Method Detail

### getVerseSeq

    public BigInteger getVerseSeq()

  Gets the value of the verseSeq property.

  Returns:
    possible object is `BigInteger`

### setVerseSeq

    public void setVerseSeq(BigInteger value)

  Sets the value of the verseSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTextFr

    public String getTextFr()

  Gets the value of the textFr property.

  Returns:
    possible object is `String`

### setTextFr

    public void setTextFr(String value)

  Sets the value of the textFr property.

  Parameters:
    `value` - allowed object is `String`

### getTextNl

    public String getTextNl()

  Gets the value of the textNl property.

  Returns:
    possible object is `String`

### setTextNl

    public void setTextNl(String value)

  Sets the value of the textNl property.

  Parameters:
    `value` - allowed object is `String`

### getIdentifierNum

    public String getIdentifierNum()

  Gets the value of the identifierNum property.

  Returns:
    possible object is `String`

### setIdentifierNum

    public void setIdentifierNum(String value)

  Sets the value of the identifierNum property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.